Skip to content

Health ​

21 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getClientHealthDetailGETGet client health detail (deprecated)
getClientHealthTimeListGETGet client health time line
getApHealthDetailGETGet ap health detail
getApHealthTimeListGETGet ap health time line
getOsgHealthDetailGETGet gateway health detail
getOsgHealthTimeListGETGet gateway health time line
getSiteClientHealthTimeListGETGet site client health time line
getSiteHealthTimeListGETGet site health time line
getOswHealthDetailGETGet switch health detail
getOswHealthTimeListGETGet switch health time line
getMultiOswHealthTimeListGETBatch get switch health time line
getWifiClientInfoListPOSTGet site wifi top k device/client
getWifiHealthTimeListGETGet site wifi health time line
getWifiSubHealthTimeListGETGet site wifi sub health detail
getMspApHealthDetailGETGet msp ap health detail
getMspApHealthTimeListGETGet msp ap health time line
getMspOsgHealthDetailGETGet msp gateway health detail
getMspOsgHealthTimeListGETGet msp gateway health time line
getMspOswHealthDetailGETGet msp switch health detail
getMspOswHealthTimeListGETGet msp switch health time line
getClientHealthDetailV2GETGet client health detail (V2)

getClientHealthDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/health/detail

Deprecated

This operation is deprecated.

Get client health detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getClientHealthDetail",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get client health detail
The interface requires one of the permissions:
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.

getClientHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/clients/{clientMac}/health/timeline

Get client health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getClientHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get client health time line
The interface requires one of the permissions:
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.

getApHealthDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/eaps/{apMac}/health/detail

Get ap health detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getApHealthDetail",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get ap health detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getApHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/eaps/{apMac}/health/timeline

Get ap health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getApHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "apMac": "<apMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get ap health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getOsgHealthDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/health/detail

Get gateway health detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
wirelessRouterquerybooleannoWhether the device is a wireless router
json
// omada_call_operation
{
  "operationId": "getOsgHealthDetail",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get gateway health detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getOsgHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/gateways/{gatewayMac}/health/timeline

Get gateway health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getOsgHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get gateway health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getSiteClientHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/health/client/timeline

Get site client health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getSiteClientHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get site client health time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getSiteHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/health/timeline

Get site health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getSiteHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get site health time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getOswHealthDetail ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/health/detail

Get switch health detail

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getOswHealthDetail",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get switch health detail
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getOswHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/{switchMac}/health/timeline

Get switch health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getOswHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get switch health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getMultiOswHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/switches/health/timeline

Batch get switch health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
macsquerystringyesSwitch MAC address list, using comma separator, like AA-BB-CC-DD-EE-FF,FF-EE-DD-CC-BB-AA
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getMultiOswHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "macs": "<macs>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Batch get switch health time line
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getWifiClientInfoList ​

POST /openapi/v1/{omadacId}/sites/{siteId}/wifi/health/client/list

**Get site wifi top k device/client **

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema WifiDeviceAndClientQueryVO

FieldTypeRequiredDescription
timeintegeryesTime(unit:ms)
searchKeystringnoFuzzy query parameters, support field name,mac
sortsobjectnoSort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field.
topKintegernoThe topK elements, which must be less than 100
json
// omada_call_operation
{
  "operationId": "getWifiClientInfoList",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Get site wifi top k device/client
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getWifiHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/wifi/health/timeline

Get site wifi health time line

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getWifiHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get site wifi health time line
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getWifiSubHealthTimeList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/wifi/sub/health/timeline

**Get site wifi sub health detail **

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getWifiSubHealthTimeList",
  "params": {
    "siteId": "<siteId>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get site wifi sub health detail
The interface requires one of the permissions:
Site Dashboard Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.

getMspApHealthDetail ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/eaps/{apMac}/health/detail

Get msp ap health detail

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getMspApHealthDetail",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "apMac": "<apMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get msp ap health detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getMspApHealthTimeList ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/eaps/{apMac}/health/timeline

Get msp ap health time line

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
apMacpathstringyesAP MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getMspApHealthTimeList",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "apMac": "<apMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get msp ap health time line
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39303 - AP does not exist.

getMspOsgHealthDetail ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/health/detail

Get msp gateway health detail

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
wirelessRouterquerybooleannoWhether the device is a wireless router
json
// omada_call_operation
{
  "operationId": "getMspOsgHealthDetail",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get msp gateway health detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getMspOsgHealthTimeList ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/gateways/{gatewayMac}/health/timeline

Get msp gateway health time line

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
gatewayMacpathstringyesGateway MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getMspOsgHealthTimeList",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "gatewayMac": "<gatewayMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get msp gateway health time line
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getMspOswHealthDetail ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/switches/{switchMac}/health/detail

Get msp switch health detail

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getMspOswHealthDetail",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get msp switch health detail
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getMspOswHealthTimeList ​

GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/switches/{switchMac}/health/timeline

Get msp switch health time line

ParameterInTypeRequiredDescription
mspIdpathstringautoMSP ID (filled in automatically)
customerIdpathstringyesCustomer ID
siteIdpathstringyesSite ID (site ID or site name)
switchMacpathstringyesSwitch MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getMspOswHealthTimeList",
  "params": {
    "customerId": "<customerId>",
    "siteId": "<siteId>",
    "switchMac": "<switchMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get msp switch health time line
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39050 - This device does not exist.

getClientHealthDetailV2 ​

GET /openapi/v2/{omadacId}/sites/{siteId}/clients/{clientMac}/health/detail

Get client health detail (V2)

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
clientMacpathstringyesClient MAC address, like AA-BB-CC-DD-EE-FF
startqueryintegeryesStart timestamp, in milliseconds, such as 174951360000
endqueryintegeryesEnd timestamp, in milliseconds, such as 1749600000000
json
// omada_call_operation
{
  "operationId": "getClientHealthDetailV2",
  "params": {
    "siteId": "<siteId>",
    "clientMac": "<clientMac>",
    "start": "<start>",
    "end": "<end>"
  }
}
Details, permissions and error codes

Get client health detail (V2)
The interface requires one of the permissions:
Site Clients Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-41011 - This client does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.